Bug 89646 - OO hangs when trying to be opened twice before the application widow appears
OO hangs when trying to be opened twice before the application widow appears
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-25 10:25 EDT by David Sterratt
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 11:20:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sterratt 2003-04-25 10:25:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I try opening openoffice write from the panel by
double-clicking on the icon.  It takes some time for the OO splash screen to
appear, and there's not change in the cursor, so I think that maybe I didn't
double-click after all.  I try double-clicking again (probaly a couple of
seconds after the first double-click).  After a few more seconds the splash
screen appears, but then it stays there for at least a few minutes, certainly
longer than normal.  Eventually I get bored and kill openoffice from another
virtual console or terminal.   If I don't try to open the OO twice (i.e. trust
that I did double-click the first time), OO opens fine. 

There is a further problem, in that the Gnome "System Monitor" doesn't seem able
to kill the hung openoffice.  I can bring up the System Monitor when the splash
screen is sitting on the screen.  Although it's partially obscured by the
splashscreen, I can find the soffice.bin process, highlight it, and click on
"End Process".  However, then the System Monitor seems to hang, and the
splashscreen doesn't go away.  I suppose this should be reported as a separate
bug, but I'm not sure if it's inimately related.

Version-Release number of selected component (if applicable):
openoffice-1.0.2-4

How reproducible:
Sometimes

Steps to Reproduce:
1. Double-click on the OO icon on the panel
2. Shortly after double-click again before the splash screen appears

    

Actual Results:  After a few more seconds the splash screen appears, but then it
stays there for at least a few minutes, certainly longer than normal.  

Expected Results:  OO should have started normally.

Additional info:

This problem seems to occur more frequently when opening OO for the fist time.

Sometimes you can click for the second time while the splash screen is there and
still hang OO.

This problem is know by the OO people (see
http://www.openoffice.org/issues/show_bug.cgi?id=8503 for a version of the bug
opening files from nautilus) and is meant to be fixed in a future release of OO.
Comment 1 David Sterratt 2003-04-25 10:30:41 EDT
I think that the system monitor may in fact not be hanging.  I think the "End
Process" confirmation dialog box is completely hidden by the OO splashscreen,
which is why it looks as though the application has hung.  After killing OO by
other means, I can see the dialog box where the splashscreen used to be.
Comment 2 David Sterratt 2003-05-22 11:33:16 EDT
As of 20th May, according to
http://www.openoffice.org/issues/show_bug.cgi?id=8503 "This task is fixed or
worked in OOo 1.1 beta2" and the bug has been marked as closed.
Comment 3 Dan Williams 2004-02-27 11:20:39 EST
Please try current OOo 1.1.0, and reopen if problem still occurs

Note You need to log in before you can comment on or make changes to this bug.